varying vec4 diffuse,ambient;
varying vec3 normal,lightDir,halfVector;
uniform sampler2D tex;

void main()
{
	vec3 n,halfV;
	float NdotL,NdotHV;
	
	/* Ambient-Anteil */
	vec4 color = ambient;
	
	/* Normalvektor */
	n = normalize(normal);
		
	/* Wie steht Normalvektor zum Lichtvektor? */
	NdotL = max(dot(n, lightDir), 0.0);
	
	if (NdotL > 0.0)
	{
		color += diffuse * NdotL;
		halfV = normalize(halfVector);
		NdotHV = max(dot(n, halfV), 0.0);
		color += gl_FrontMaterial.specular * gl_LightSource[0].specular * pow(NdotHV, gl_FrontMaterial.shininess * 3.0f);
	}
	
	/* Berechneter Farbwert wird mit Textur kombiniert */
	gl_FragColor = texture2D(tex,gl_TexCoord[0].st) * color;
}