varying vec3 lightDir, normal;
uniform sampler2D tex;

void main()
{
	float intensity;
	vec4 color;
	
	// normalizing the lights position to be on the safe side
	vec3 l = normalize(vec3(gl_LightSource[0].position));
	vec3 n = normalize(normal);
	
	// get fragment intensity
	intensity = dot(l,n);
	
	// set color due to intensity value
	if (intensity > 0.95)
		color = texture2D(tex,gl_TexCoord[0].st);
	else if (intensity > 0.5)
		color = texture2D(tex,gl_TexCoord[0].st) * 0.6;
	else if (intensity > 0.25)
		color = texture2D(tex,gl_TexCoord[0].st) * 0.4;
	else
		color = texture2D(tex,gl_TexCoord[0].st) * 0.2;
	
	// set fragment color
	gl_FragColor = color;
}
